SAXResult (Java SE 13 & JDK 13 )
Description: declaration: module: java.xml, package: javax.xml.transform.sax, class: SAXResult
Keywords: javax.xml.transform.sax.SAXResult class

Module java.xml
Package javax.xml.transform.sax

# Class SAXResult

java.lang.Object
javax.xml.transform.sax.SAXResult

All Implemented Interfaces:
  `Result`

    public class SAXResult
    extends Object
    implements Result

Acts as an holder for a transformation Result.

Since:
  1.4

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static String` | `FEATURE` | If `TransformerFactory.getFeature(java.lang.String)` returns true when passed this value as an argument, the Transformer supports Result output of this type.

  ### Fields declared in interface javax.xml.transform.Result

  `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SAXResult()` | Zero-argument default constructor.
  `SAXResult​(ContentHandler handler)` | Create a SAXResult that targets a SAX2 `ContentHandler`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ContentHandler` | `getHandler()` | Get the `ContentHandler` that is the Result.
  `LexicalHandler` | `getLexicalHandler()` | Get a SAX2 `LexicalHandler` for the output.
  `String` | `getSystemId()` | Get the system identifier that was set with setSystemId.
  `void` | `setHandler​(ContentHandler handler)` | Set the target to be a SAX2 `ContentHandler`.
  `void` | `setLexicalHandler​(LexicalHandler handler)` | Set the SAX2 `LexicalHandler` for the output.
  `void` | `setSystemId​(String systemId)` | Method setSystemId Set the systemID that may be used in association with the `ContentHandler`.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FEATURE

    public static final String FEATURE
    If `TransformerFactory.getFeature(java.lang.String)` returns true when passed this value as an argument, the Transformer supports Result output of this type.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### SAXResult

    public SAXResult()
    Zero-argument default constructor.

  - ### SAXResult

    public SAXResult​(ContentHandler handler)
    Create a SAXResult that targets a SAX2 `ContentHandler`.
    Parameters:
      `handler` - Must be a non-null ContentHandler reference.

- ## Method Details

  - ### setHandler

    public void setHandler​(ContentHandler handler)
    Set the target to be a SAX2 `ContentHandler`.
    Parameters:
      `handler` - Must be a non-null ContentHandler reference.

  - ### getHandler

    public ContentHandler getHandler()
    Get the `ContentHandler` that is the Result.
    Returns:
      The ContentHandler that is to be transformation output.

  - ### setLexicalHandler

    public void setLexicalHandler​(LexicalHandler handler)
    Set the SAX2 `LexicalHandler` for the output.

    This is needed to handle XML comments and the like. If the lexical handler is not set, an attempt should be made by the transformer to cast the `ContentHandler` to a `LexicalHandler`.

    Parameters:
      `handler` - A non-null `LexicalHandler` for handling lexical parse events.

  - ### getLexicalHandler

    public LexicalHandler getLexicalHandler()
    Get a SAX2 `LexicalHandler` for the output.
    Returns:
      A `LexicalHandler`, or null.

  - ### setSystemId

    public void setSystemId​(String systemId)
    Method setSystemId Set the systemID that may be used in association with the `ContentHandler`.
    Specified by:
      `setSystemId` in interface `Result`
    Parameters:
      `systemId` - The system identifier as a URI string.

  - ### getSystemId

    public String getSystemId()
    Get the system identifier that was set with setSystemId.
    Specified by:
      `getSystemId` in interface `Result`
    Returns:
      The system identifier that was set with setSystemId, or null if setSystemId was not called.